Modify

Opened 6 years ago

Closed 5 years ago

Last modified 4 years ago

#11720 closed defect (fixed)

brcm47xx: watchdog does not work on DIR-320 and WL-330gE

Reported by: Damian Kaczkowski <damian.kaczkowski@…> Owned by: hauke
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc:

Description

Hi.

revision: r32463

board: D-Link DIR-320 A2, ASUS WL-330gE

After killing watchdog process syslog shows the following messages:

2012-06-20 12:45:10     1cbdb9b5f38f    kern.crit       [  530.468000] bcm47xx_wdt: Unexpected close, not stopping watchdog!
2012-06-20 12:46:09     1cbdb9b5f38f    kern.crit       [  589.476000] bcm47xx_wdt: Watchdog will fire soon!!!

but nothing happens.

DIR-320 full log:

1970-01-01 01:00:17     1cbdb9b5f38f    syslog.notice   syslog-ng[393]: syslog-ng version 1.6.12 starting
1970-01-01 01:00:18     1cbdb9b5f38f    kern.notice     [    0.000000] Linux version 3.3.8 (dk@emakom-pl) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Wed Jun 20 00:36:20 CEST 2012
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] CPU revision is: 00029029 (Broadcom BMIPS3300)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] bcm47xx: using ssb bus
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: Found chip with id 0x5354, rev 0x03 and package 0x00
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x14, vendor 0x4243)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x09, vendor 0x4243)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] ssb: Core 2 found: MIPS 3302 (cc 0x816, rev 0x08, vendor 0x4243)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] ssb: Core 3 found: USB 2.0 Host (cc 0x819, rev 0x02, vendor 0x4243)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] ssb: Core 4 found: MEMC SDRAM (cc 0x80F, rev 0x04, vendor 0x4243)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] ssb: Core 5 found: IEEE 802.11 (cc 0x812, rev 0x0D, vendor 0x4243)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] ssb: Core 6 found: Roboswitch (cc 0x81C, rev 0x02, vendor 0x4243)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: chipcommon status is 0x0
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] ssb: Found rev 0 PMU (capabilities 0x04A63400)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: Initializing MIPS core...
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: set_irq: core 0x0806, irq 4 => 4
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: set_irq: core 0x0816, irq 5 => 2
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: set_irq: core 0x0812, irq 2 => 5
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: after irq reconfiguration
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: core 0x0819, irq : 2(S)  3  4  5  6* D  I
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: core 0x0812, irq : 2(S)  3  4  5* 6  D  I
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: core 0x081c, irq : 2(S)  3  4  5  6  D  I*
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] found parallel flash.
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000] can not parse nvram name boardnum with value  got -22
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000] can not parse nvram name rxpo2g with value 0xfff8 got -34
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] ssb: Sonics Silicon Backplane found at address 0x18000000
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] Serial init done.
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] Determined physical RAM map:
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000]  memory: 02000000 @ 00000000 (usable)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] Initrd not found or empty - disabling initrd
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000] Zone PFN ranges:
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000]   Normal   0x00000000 -> 0x00002000
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000] Movable zone start PFN for each node
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000] Early memory PFN ranges
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000]     0: 0x00000000 -> 0x00002000
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] On node 0 totalpages: 8192
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] free_area_init_node: node 0, pgdat 802b16d0, node_mem_map 81000000
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000]   Normal zone: 64 pages used for memmap
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000]   Normal zone: 0 pages reserved
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000]   Normal zone: 8128 pages, LIFO batch:0
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.000000] pcpu-alloc: [0] 0
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
1970-01-01 01:00:18     1cbdb9b5f38f    kern.notice     [    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000] Primary instruction cache 16kB, VIPT, 4-way, linesize 16 bytes.
1970-01-01 01:00:18     1cbdb9b5f38f    kern.warning    [    0.000000] Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] Memory: 29400k/32768k available (2392k kernel code, 3368k reserved, 363k data, 164k init, 0k highmem)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] NR_IRQS:128
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.000000] console [ttyS0] enabled
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.004000] Calibrating delay loop... 239.10 BogoMIPS (lpj=478208)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.040000] pid_max: default: 32768 minimum: 301
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.044000] Mount-cache hash table entries: 512
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.052000] NET: Registered protocol family 16
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.076000] bio: create slab <bio-0> at 0
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.088000] Switching to clocksource MIPS
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.116000] NET: Registered protocol family 2
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.120000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.128000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.136000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.144000] TCP: Hash tables configured (established 1024 bind 1024)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.148000] TCP reno registered
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.152000] UDP hash table entries: 256 (order: 0, 4096 bytes)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.160000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.168000] NET: Registered protocol family 1
1970-01-01 01:00:18     1cbdb9b5f38f    kern.debug      [    0.172000] PCI: CLS 0 bytes, default 16
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.180000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.188000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.200000] msgmni has been set to 57
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.204000] io scheduler noop registered
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.208000] io scheduler deadline registered (default)
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.212000] Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.240000] serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
1970-01-01 01:00:18     1cbdb9b5f38f    kern.info       [    0.268000] serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.300000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.328000] serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.344000] bcm47xx_pflash: flash init: 0x1c000000 0x02000000
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.348000] Physically mapped flash: Found 1 x16 devices at 0x0 in 8-bit bank. Manufacturer ID 0x0000c2 Chip ID 0x0000a7
1970-01-01 01:00:19     1cbdb9b5f38f    kern.debug      [    0.360000] Physically mapped flash: Found an alias at 0x400000 for the chip at 0x0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.debug      [    0.360000] Physically mapped flash: Found an alias at 0x800000 for the chip at 0x0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.debug      [    0.360000] Physically mapped flash: Found an alias at 0xc00000 for the chip at 0x0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.debug      [    0.360000] Physically mapped flash: Found an alias at 0x1000000 for the chip at 0x0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.debug      [    0.360000] Physically mapped flash: Found an alias at 0x1400000 for the chip at 0x0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.debug      [    0.360000] Physically mapped flash: Found an alias at 0x1800000 for the chip at 0x0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.debug      [    0.360000] Physically mapped flash: Found an alias at 0x1c00000 for the chip at 0x0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.360000] Amd/Fujitsu Extended Query Table at 0x0040
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.368000]   Amd/Fujitsu Extended Query version 1.1.
1970-01-01 01:00:19     1cbdb9b5f38f    kern.warning    [    0.372000] Physically mapped flash: Swapping erase regions for top-boot CFI table.
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.380000] number of CFI chips: 1
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.384000] bcm47xx_pflash: Flash device: 0x2000000 at 0x1fc00000
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.392000] bcm47xx_part: bootloader size: 262144
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.400000] bcm47xx_part: Looking for dual image
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.412000] bcm47xx_part: TRX offset : 0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.416000] 4 bcm47xx partitions found on MTD device Physically mapped flash
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.424000] Creating 4 MTD partitions on "Physically mapped flash":
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.428000] 0x000000000000-0x000000040000 : "cfe"
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.440000] 0x000000040000-0x0000003f0000 : "linux"
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.452000] 0x000000127400-0x0000003f0000 : "rootfs"
1970-01-01 01:00:19     1cbdb9b5f38f    kern.warning    [    0.456000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.476000] mtd: partition "rootfs" set to be root filesystem
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.480000] mtd: partition "rootfs_data" created automatically, ofs=2C0000, len=130000
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.488000] 0x0000002c0000-0x0000003f0000 : "rootfs_data"
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [    0.500000] 0x0000003f0000-0x000000400000 : "nvram"
1970-01-01 01:00:19     1cbdb9b5f38f    kern.err        [    0.516000] bcm47xx_sflash: error registering platform driver: -19
1970-01-01 01:00:19     1cbdb9b5f38f    kern.err        [    0.524000] bcm47xx_nflash: error registering platform driver: -19
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.532000] b44: Broadcom 44xx/47xx 10/100 PCI ethernet driver version 2.0
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.544000] b44 ssb0:0: eth0: Broadcom 44xx/47xx 10/100 PCI ethernet driver 1c:bd:b9:b5:f3:8f
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.552000] BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.564000] TCP westwood registered
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.568000] NET: Registered protocol family 17
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.572000] 8021q: 802.1Q VLAN Support v1.8
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.588000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    0.600000] Freeing unused kernel memory: 164k freed
1970-01-01 01:00:19     1cbdb9b5f38f    kern.warning    [    3.516000] diag: Detected 'D-Link DIR-320'
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    3.580000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    3.588000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [    4.956000] roboswitch: Probing device eth0: found a 5325! It's a 5350.
1970-01-01 01:00:19     1cbdb9b5f38f    kern.notice     [   12.388000] JFFS2 notice: (287) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 13 of xref (0 dead, 0 orphan) found.
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [   12.824000] b44 ssb0:0: eth0: powering down PHY
1970-01-01 01:00:19     1cbdb9b5f38f    kern.info       [   14.740000] PPP generic driver version 2.4.2
1970-01-01 01:00:20     1cbdb9b5f38f    kern.info       [   15.056000] ip_tables: (C) 2000-2006 Netfilter Core Team
1970-01-01 01:00:20     1cbdb9b5f38f    kern.info       [   15.348000] NET: Registered protocol family 24
1970-01-01 01:00:20     1cbdb9b5f38f    kern.info       [   15.392000] nf_conntrack version 0.5.0 (461 buckets, 1844 max)
1970-01-01 01:00:20     1cbdb9b5f38f    kern.info       [   20.228000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
1970-01-01 01:00:20     1cbdb9b5f38f    kern.info       [   20.232000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
1970-01-01 01:00:21     1cbdb9b5f38f    kern.info       [   21.980000] b44 ssb0:0: eth0: powering down PHY
1970-01-01 01:00:22     1cbdb9b5f38f    kern.info       [   22.020000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
1970-01-01 01:00:22     1cbdb9b5f38f    kern.info       [   22.024000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
1970-01-01 01:00:22     1cbdb9b5f38f    kern.info       [   22.068000] device eth0.0 entered promiscuous mode
1970-01-01 01:00:22     1cbdb9b5f38f    kern.info       [   22.072000] device eth0 entered promiscuous mode
1970-01-01 01:00:22     1cbdb9b5f38f    kern.info       [   22.092000] br-lan: port 1(eth0.0) entered forwarding state
1970-01-01 01:00:22     1cbdb9b5f38f    kern.info       [   22.096000] br-lan: port 1(eth0.0) entered forwarding state
1970-01-01 01:00:22     1cbdb9b5f38f    daemon.notice   netifd: Interface 'lan' is now up
1970-01-01 01:00:22     1cbdb9b5f38f    daemon.notice   netifd: Interface 'loopback' is now up
1970-01-01 01:00:22     1cbdb9b5f38f    daemon.notice   netifd: wan (472): udhcpc (v1.19.4) started
1970-01-01 01:00:23     1cbdb9b5f38f    daemon.notice   netifd: wan (472): Sending discover...
1970-01-01 01:00:24     1cbdb9b5f38f    kern.info       [   24.100000] br-lan: port 1(eth0.0) entered forwarding state
1970-01-01 01:00:24     1cbdb9b5f38f    user.notice     ifup: Enabling Router Solicitations on lan (br-lan)
1970-01-01 01:00:26     1cbdb9b5f38f    daemon.notice   netifd: wan (472): Sending select for 10.10.0.151...
1970-01-01 01:00:26     1cbdb9b5f38f    daemon.notice   netifd: wan (472): Lease of 10.10.0.151 obtained, lease time 43200
1970-01-01 01:00:26     1cbdb9b5f38f    daemon.notice   netifd: Interface 'wan' is now up
1970-01-01 01:00:26     1cbdb9b5f38f    user.info       sysinit: Loading defaults
1970-01-01 01:00:27     1cbdb9b5f38f    user.info       sysinit: Loading synflood protection
1970-01-01 01:00:28     1cbdb9b5f38f    user.info       sysinit: Adding custom chains
1970-01-01 01:00:29     1cbdb9b5f38f    user.notice     ifup: Allowing Router Advertisements on wan (eth0.1)
1970-01-01 01:00:31     1cbdb9b5f38f    user.info       sysinit: Loading zones
1970-01-01 01:00:36     1cbdb9b5f38f    user.notice     ifup: Enabling Router Solicitations on loopback (lo)
1970-01-01 01:00:37     1cbdb9b5f38f    user.info       sysinit: Loading forwardings
1970-01-01 01:00:37     1cbdb9b5f38f    user.info       sysinit: Loading rules
1970-01-01 01:00:38     1cbdb9b5f38f    user.info       sysinit: Loading redirects
1970-01-01 01:00:38     1cbdb9b5f38f    user.info       sysinit: Loading includes
1970-01-01 01:00:41     1cbdb9b5f38f    user.info       sysinit: Optimizing conntrack
1970-01-01 01:00:41     1cbdb9b5f38f    user.info       sysinit: Loading interfaces
1970-01-01 01:00:41     1cbdb9b5f38f    user.info       firewall: adding lan (br-lan) to zone lan
1970-01-01 01:00:43     1cbdb9b5f38f    user.info       firewall: adding wan (eth0.1) to zone wan
1970-01-01 01:00:45     1cbdb9b5f38f    cron.info       crond[1073]: crond: crond (busybox 1.19.4) started, log level 5
1970-01-01 01:00:46     1cbdb9b5f38f    authpriv.info   dropbear[1088]: Running in background
1970-01-01 01:00:46     1cbdb9b5f38f    authpriv.info   dropbear[1093]: Running in background
1970-01-01 01:00:47     1cbdb9b5f38f    user.notice     dnsmasq: DNS rebinding protection is active, will discard upstream RFC1918 responses!
1970-01-01 01:00:47     1cbdb9b5f38f    user.notice     dnsmasq: Allowing 127.0.0.0/8 responses
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq[1132]: started, version 2.59 cachesize 150
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq[1132]: compile time options: IPv6 GNU-getopt no-DBus no-i18n DHCP TFTP no-conntrack no-IDN
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq-dhcp[1132]: DHCP, IP range 10.1.0.100 -- 10.1.0.199, lease time 12h
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq[1132]: using local addresses only for domain lan
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq[1132]: reading /tmp/resolv.conf.auto
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq[1132]: using nameserver 10.10.254.254#53
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq[1132]: using local addresses only for domain lan
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq[1132]: read /etc/hosts - 1 addresses
1970-01-01 01:00:51     1cbdb9b5f38f    daemon.info     dnsmasq-dhcp[1132]: read /etc/ethers - 0 addresses
2012-06-20 12:37:21     1cbdb9b5f38f    cron.err        crond[1073]: time disparity of 22336476 minutes detected
2012-06-20 12:37:21     1cbdb9b5f38f    syslog.notice   syslog-ng[393]: STATS: dropped 0
2012-06-20 12:45:10     1cbdb9b5f38f    kern.crit       [  530.468000] bcm47xx_wdt: Unexpected close, not stopping watchdog!
2012-06-20 12:46:09     1cbdb9b5f38f    kern.crit       [  589.476000] bcm47xx_wdt: Watchdog will fire soon!!!
2012-06-20 13:01:45     1cbdb9b5f38f    user.notice     root: test

WL-330gE full log:

1970-01-01 01:00:18     485b39e74a59    syslog.notice   syslog-ng[393]: syslog-ng version 1.6.12 starting
1970-01-01 01:00:18     485b39e74a59    kern.notice     [    0.000000] Linux version 3.3.8 (dk@emakom-pl) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Wed Jun 20 00:36:20 CEST 2012
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] CPU revision is: 00029029 (Broadcom BMIPS3300)
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] bcm47xx: using ssb bus
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: Found chip with id 0x5354, rev 0x03 and package 0x00
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x14, vendor 0x4243)
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x09, vendor 0x4243)
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] ssb: Core 2 found: MIPS 3302 (cc 0x816, rev 0x08, vendor 0x4243)
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] ssb: Core 3 found: USB 2.0 Host (cc 0x819, rev 0x02, vendor 0x4243)
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] ssb: Core 4 found: MEMC SDRAM (cc 0x80F, rev 0x04, vendor 0x4243)
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] ssb: Core 5 found: IEEE 802.11 (cc 0x812, rev 0x0D, vendor 0x4243)
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] ssb: Core 6 found: Roboswitch (cc 0x81C, rev 0x02, vendor 0x4243)
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: chipcommon status is 0x0
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] ssb: Found rev 0 PMU (capabilities 0x04A63400)
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: Initializing MIPS core...
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: set_irq: core 0x0806, irq 4 => 4
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: set_irq: core 0x0816, irq 5 => 2
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: set_irq: core 0x0812, irq 2 => 5
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: after irq reconfiguration
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: core 0x0819, irq : 2(S)  3  4  5  6* D  I
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: core 0x0812, irq : 2(S)  3  4  5* 6  D  I
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: core 0x081c, irq : 2(S)  3  4  5  6  D  I*
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] found parallel flash.
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] ssb: Sonics Silicon Backplane found at address 0x18000000
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] Serial init done.
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] Determined physical RAM map:
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000]  memory: 01000000 @ 00000000 (usable)
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] Initrd not found or empty - disabling initrd
1970-01-01 01:00:19     485b39e74a59    kern.warning    [    0.000000] Zone PFN ranges:
1970-01-01 01:00:19     485b39e74a59    kern.warning    [    0.000000]   Normal   0x00000000 -> 0x00001000
1970-01-01 01:00:19     485b39e74a59    kern.warning    [    0.000000] Movable zone start PFN for each node
1970-01-01 01:00:19     485b39e74a59    kern.warning    [    0.000000] Early memory PFN ranges
1970-01-01 01:00:19     485b39e74a59    kern.warning    [    0.000000]     0: 0x00000000 -> 0x00001000
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] On node 0 totalpages: 4096
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] free_area_init_node: node 0, pgdat 802b16d0, node_mem_map 802f9000
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000]   Normal zone: 32 pages used for memmap
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000]   Normal zone: 0 pages reserved
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000]   Normal zone: 4064 pages, LIFO batch:0
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
1970-01-01 01:00:19     485b39e74a59    kern.debug      [    0.000000] pcpu-alloc: [0] 0
1970-01-01 01:00:19     485b39e74a59    kern.warning    [    0.000000] Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
1970-01-01 01:00:19     485b39e74a59    kern.notice     [    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] PID hash table entries: 64 (order: -4, 256 bytes)
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
1970-01-01 01:00:19     485b39e74a59    kern.warning    [    0.000000] Primary instruction cache 16kB, VIPT, 4-way, linesize 16 bytes.
1970-01-01 01:00:19     485b39e74a59    kern.warning    [    0.000000] Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] Memory: 13156k/16384k available (2392k kernel code, 3228k reserved, 363k data, 164k init, 0k highmem)
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] NR_IRQS:128
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.000000] console [ttyS0] enabled
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.004000] Calibrating delay loop... 239.10 BogoMIPS (lpj=478208)
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.040000] pid_max: default: 32768 minimum: 301
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.044000] Mount-cache hash table entries: 512
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.052000] NET: Registered protocol family 16
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.084000] bio: create slab <bio-0> at 0
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.100000] Switching to clocksource MIPS
1970-01-01 01:00:19     485b39e74a59    kern.info       [    0.132000] NET: Registered protocol family 2
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.136000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.144000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.152000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.160000] TCP: Hash tables configured (established 512 bind 512)
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.168000] TCP reno registered
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.168000] UDP hash table entries: 256 (order: 0, 4096 bytes)
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.176000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.184000] NET: Registered protocol family 1
1970-01-01 01:00:20     485b39e74a59    kern.debug      [    0.188000] PCI: CLS 0 bytes, default 16
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.200000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.208000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.216000] msgmni has been set to 25
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.220000] io scheduler noop registered
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.228000] io scheduler deadline registered (default)
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.232000] Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.260000] serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.292000] serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.320000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.352000] serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.368000] bcm47xx_pflash: flash init: 0x1c000000 0x02000000
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.372000] Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x0000c2 Chip ID 0x0022a8
1970-01-01 01:00:20     485b39e74a59    kern.debug      [    0.384000] Physically mapped flash: Found an alias at 0x400000 for the chip at 0x0
1970-01-01 01:00:20     485b39e74a59    kern.debug      [    0.384000] Physically mapped flash: Found an alias at 0x800000 for the chip at 0x0
1970-01-01 01:00:20     485b39e74a59    kern.debug      [    0.384000] Physically mapped flash: Found an alias at 0xc00000 for the chip at 0x0
1970-01-01 01:00:20     485b39e74a59    kern.debug      [    0.384000] Physically mapped flash: Found an alias at 0x1000000 for the chip at 0x0
1970-01-01 01:00:20     485b39e74a59    kern.debug      [    0.384000] Physically mapped flash: Found an alias at 0x1400000 for the chip at 0x0
1970-01-01 01:00:20     485b39e74a59    kern.debug      [    0.384000] Physically mapped flash: Found an alias at 0x1800000 for the chip at 0x0
1970-01-01 01:00:20     485b39e74a59    kern.debug      [    0.384000] Physically mapped flash: Found an alias at 0x1c00000 for the chip at 0x0
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.384000] Amd/Fujitsu Extended Query Table at 0x0040
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.392000]   Amd/Fujitsu Extended Query version 1.1.
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.396000] number of CFI chips: 1
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.400000] bcm47xx_pflash: Flash device: 0x2000000 at 0x1fc00000
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.408000] bcm47xx_part: bootloader size: 131072
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.412000] bcm47xx_part: Looking for dual image
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.416000] bcm47xx_part: TRX offset : 0
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.420000] 4 bcm47xx partitions found on MTD device Physically mapped flash
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.428000] Creating 4 MTD partitions on "Physically mapped flash":
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.436000] 0x000000000000-0x000000020000 : "cfe"
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.448000] 0x000000020000-0x0000003f0000 : "linux"
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.460000] 0x000000107400-0x0000003f0000 : "rootfs"
1970-01-01 01:00:20     485b39e74a59    kern.warning    [    0.464000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.484000] mtd: partition "rootfs" set to be root filesystem
1970-01-01 01:00:20     485b39e74a59    kern.info       [    0.492000] mtd: partition "rootfs_data" created automatically, ofs=2A0000, len=150000
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.500000] 0x0000002a0000-0x0000003f0000 : "rootfs_data"
1970-01-01 01:00:20     485b39e74a59    kern.notice     [    0.512000] 0x0000003f0000-0x000000400000 : "nvram"
1970-01-01 01:00:21     485b39e74a59    kern.err        [    0.528000] bcm47xx_sflash: error registering platform driver: -19
1970-01-01 01:00:21     485b39e74a59    kern.err        [    0.536000] bcm47xx_nflash: error registering platform driver: -19
1970-01-01 01:00:21     485b39e74a59    kern.info       [    0.544000] b44: Broadcom 44xx/47xx 10/100 PCI ethernet driver version 2.0
1970-01-01 01:00:21     485b39e74a59    kern.info       [    0.556000] b44 ssb0:0: eth0: Broadcom 44xx/47xx 10/100 PCI ethernet driver 48:5b:39:e7:4a:59
1970-01-01 01:00:21     485b39e74a59    kern.info       [    0.568000] BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
1970-01-01 01:00:21     485b39e74a59    kern.info       [    0.576000] TCP westwood registered
1970-01-01 01:00:21     485b39e74a59    kern.info       [    0.580000] NET: Registered protocol family 17
1970-01-01 01:00:21     485b39e74a59    kern.info       [    0.588000] 8021q: 802.1Q VLAN Support v1.8
1970-01-01 01:00:21     485b39e74a59    kern.info       [    0.604000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
1970-01-01 01:00:21     485b39e74a59    kern.info       [    0.616000] Freeing unused kernel memory: 164k freed
1970-01-01 01:00:21     485b39e74a59    kern.warning    [    3.648000] diag: Detected 'ASUS WL-330gE'
1970-01-01 01:00:21     485b39e74a59    kern.info       [    3.720000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
1970-01-01 01:00:21     485b39e74a59    kern.info       [    3.724000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
1970-01-01 01:00:21     485b39e74a59    kern.info       [    5.116000] roboswitch: Probing device eth0: found a 5325! It's a 5350.
1970-01-01 01:00:21     485b39e74a59    kern.notice     [   12.808000] JFFS2 notice: (287) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 13 of xref (0 dead, 0 orphan) found.
1970-01-01 01:00:21     485b39e74a59    kern.info       [   13.324000] b44 ssb0:0: eth0: powering down PHY
1970-01-01 01:00:21     485b39e74a59    kern.info       [   15.432000] PPP generic driver version 2.4.2
1970-01-01 01:00:21     485b39e74a59    kern.info       [   15.780000] ip_tables: (C) 2000-2006 Netfilter Core Team
1970-01-01 01:00:21     485b39e74a59    kern.info       [   16.128000] NET: Registered protocol family 24
1970-01-01 01:00:21     485b39e74a59    kern.info       [   16.180000] nf_conntrack version 0.5.0 (208 buckets, 832 max)
1970-01-01 01:00:21     485b39e74a59    kern.info       [   21.520000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
1970-01-01 01:00:21     485b39e74a59    kern.info       [   21.524000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
1970-01-01 01:00:23     485b39e74a59    kern.info       [   23.580000] b44 ssb0:0: eth0: powering down PHY
1970-01-01 01:00:23     485b39e74a59    kern.info       [   23.628000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
1970-01-01 01:00:23     485b39e74a59    kern.info       [   23.636000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
1970-01-01 01:00:23     485b39e74a59    kern.info       [   23.704000] device eth0.0 entered promiscuous mode
1970-01-01 01:00:23     485b39e74a59    kern.info       [   23.708000] device eth0 entered promiscuous mode
1970-01-01 01:00:23     485b39e74a59    kern.info       [   23.724000] br-lan: port 1(eth0.0) entered forwarding state
1970-01-01 01:00:23     485b39e74a59    kern.info       [   23.728000] br-lan: port 1(eth0.0) entered forwarding state
1970-01-01 01:00:23     485b39e74a59    daemon.notice   netifd: Interface 'lan' is now up
1970-01-01 01:00:23     485b39e74a59    daemon.notice   netifd: Interface 'loopback' is now up
1970-01-01 01:00:23     485b39e74a59    daemon.notice   netifd: Interface 'wan' is now up
1970-01-01 01:00:25     485b39e74a59    kern.info       [   25.732000] br-lan: port 1(eth0.0) entered forwarding state
1970-01-01 01:00:26     485b39e74a59    user.notice     ifup: Enabling Router Solicitations on lan (br-lan)
1970-01-01 01:00:28     485b39e74a59    user.info       sysinit: Loading defaults
1970-01-01 01:00:30     485b39e74a59    user.info       sysinit: Loading synflood protection
1970-01-01 01:00:30     485b39e74a59    user.info       sysinit: Adding custom chains
1970-01-01 01:00:32     485b39e74a59    user.notice     ifup: Enabling Router Solicitations on wan (eth0.1)
1970-01-01 01:00:33     485b39e74a59    user.info       sysinit: Loading zones
1970-01-01 01:00:40     485b39e74a59    user.notice     ifup: Enabling Router Solicitations on loopback (lo)
1970-01-01 01:00:41     485b39e74a59    user.info       sysinit: Loading forwardings
1970-01-01 01:00:41     485b39e74a59    user.info       sysinit: Loading rules
1970-01-01 01:00:42     485b39e74a59    user.info       sysinit: Loading redirects
1970-01-01 01:00:42     485b39e74a59    user.info       sysinit: Loading includes
1970-01-01 01:00:45     485b39e74a59    user.info       sysinit: Optimizing conntrack
1970-01-01 01:00:46     485b39e74a59    user.info       sysinit: Loading interfaces
1970-01-01 01:00:46     485b39e74a59    user.info       firewall: adding lan (br-lan) to zone lan
1970-01-01 01:00:48     485b39e74a59    user.info       firewall: adding wan (eth0.1) to zone wan
1970-01-01 01:00:50     485b39e74a59    cron.info       crond[1059]: crond: crond (busybox 1.19.4) started, log level 5
1970-01-01 01:00:52     485b39e74a59    authpriv.info   dropbear[1074]: Running in background
1970-01-01 01:00:53     485b39e74a59    user.notice     dnsmasq: DNS rebinding protection is active, will discard upstream RFC1918 responses!
1970-01-01 01:00:53     485b39e74a59    user.notice     dnsmasq: Allowing 127.0.0.0/8 responses
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: started, version 2.59 cachesize 150
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: compile time options: IPv6 GNU-getopt no-DBus no-i18n DHCP TFTP no-conntrack no-IDN
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq-dhcp[1113]: DHCP, IP range 10.1.0.100 -- 10.1.0.199, lease time 12h
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: using local addresses only for domain lan
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: reading /tmp/resolv.conf.auto
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: using nameserver 87.204.204.204#53
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: using nameserver 62.233.233.233#53
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: using nameserver 194.204.152.34#53
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: using local addresses only for domain lan
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq[1113]: read /etc/hosts - 1 addresses
1970-01-01 01:00:57     485b39e74a59    daemon.info     dnsmasq-dhcp[1113]: read /etc/ethers - 0 addresses
1970-01-01 01:18:29     485b39e74a59    kern.crit       [ 1109.760000] bcm47xx_wdt: Unexpected close, not stopping watchdog!
1970-01-01 01:19:28     485b39e74a59    kern.crit       [ 1168.768000] bcm47xx_wdt: Watchdog will fire soon!!!
1970-01-01 01:44:06     485b39e74a59    user.notice     root: test

WRT54GL works ok. Board do reset in a while after killing watchdog process. Seems that patch '900-bcm47xx_wdt-noprescale.patch' does not work as expected or there is some other problem.

Any chance for fix? : )

Attachments (0)

Change History (5)

comment:1 Changed 6 years ago by Damian Kaczkowski <damian.kaczkowski@…>

Killing was done by

kill -9 <watchdog_pid>

So it should triggers the reboot.

comment:2 Changed 6 years ago by Scott Shambarger <scott-openwrt@…>

I found the same bug on my Asus RT-N16/BCM4716, and decided to track it down...

Looks like the patch assumes that "most" boards have a fast clock, so sets the hardware timeout to 0xfffffff (2 seconds on a 133Mhz clock, 2.27 hours on a 32Khz clock), and uses a tick timer to reset hw timer. The RT-N16 has a slow clock, so when the ticks stop, it still takes over two hours to reset.

I've created a patch that recognizes the slow clock on the BCM4716 boards.

In addition, it also works around other boards that really have a slow clock -- basically, if the tick timer expires, it sets the hardware timer to 3 seconds on a slow clock (instant on a fast clock). This ensures fast restarts unless the kernel locks up for those boards (basically, the softdog watchdog timer); on kernel lockup, those boards will still have to wait a couple hours (and should probably be updated to "slow clocks" in the driver :)

... and it fixes a typo in the original patch for the BCMA bus board.

Patch to the patch...

--- target/linux/brcm47xx/patches-3.3/900-bcm47xx_wdt-noprescale.patch
+++ target/linux/brcm47xx/patches-3.3/900-bcm47xx_wdt-noprescale.patch
@@ -33,7 +33,7 @@
  		break;
  #endif
  	}
-@@ -88,33 +89,34 @@ static inline int bcm47xx_wdt_hw_stop(vo
+@@ -88,33 +89,38 @@ static inline int bcm47xx_wdt_hw_stop(vo
  static void bcm47xx_timer_tick(unsigned long unused)
  {
  	if (!atomic_dec_and_test(&ticks)) {
@@ -44,6 +44,10 @@
  	} else {
 -		printk(KERN_CRIT DRV_NAME "Watchdog will fire soon!!!\n");
 +		printk(KERN_CRIT DRV_NAME ": Watchdog will fire soon!!!\n");
++		/* fast timers will expire < 1,5s normally, but if we really
++		   have a slow timer, this will restart in 3s as a software
++		   fallback (and near instantly for fast timers) */
++		bcm47xx_wdt_hw_start(3 << WDT_SHIFT);
  	}
  }
  
@@ -80,15 +84,22 @@
  }
  
  static int bcm47xx_wdt_settimeout(int new_time)
-@@ -266,7 +268,20 @@ static int __init bcm47xx_wdt_init(void)
+@@ -266,7 +272,30 @@ static int __init bcm47xx_wdt_init(void)
  	if (bcm47xx_wdt_hw_stop() < 0)
  		return -ENODEV;
  
 -	setup_timer(&wdt_timer, bcm47xx_timer_tick, 0L);
 +	/* FIXME Other cores */
-+#ifdef BCM47XX_BUS_TYPE_BCMA
++#ifdef CONFIG_BCM47XX_SSB
++	if(bcm47xx_bus_type == BCM47XX_BUS_TYPE_SSB &&
++	   bcm47xx_bus.ssb.chip_id == 0x4716) {
++		/* Slow WDT clock, no pre-scaling */
++		needs_sw_scale = 0;
++	} else {
++#endif
++#ifdef CONFIG_BCM47XX_BCMA
 +	if(bcm47xx_bus_type == BCM47XX_BUS_TYPE_BCMA &&
-+	   bcm47xx_bus.ssb.chip_id == 0x5354) {
++	   bcm47xx_bus.bcma.chip_id == 0x5354) {
 +		/* Slow WDT clock, no pre-scaling */
 +		needs_sw_scale = 0;
 +	} else {
@@ -96,7 +107,10 @@
 +		/* Fast WDT clock, needs software pre-scaling */
 +		needs_sw_scale = 1;
 +		setup_timer(&wdt_timer, bcm47xx_timer_tick, 0L);
-+#ifdef BCM47XX_BUS_TYPE_BCMA
++#ifdef CONFIG_BCM47XX_BCMA
++	}
++#endif
++#ifdef CONFIG_BCM47XX_SSB
 +	}
 +#endif

comment:3 Changed 5 years ago by hauke

  • Owner changed from developers to hauke
  • Status changed from new to assigned

comment:4 Changed 5 years ago by hauke

  • Resolution set to fixed
  • Status changed from assigned to closed

This is fixed in r34323.

comment:5 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.